powerline_2.3-1ubuntu0_i386.deb


Advertisement

Description

powerline - prompt and statusline utility

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Proposed Universe i386
Package name: powerline
Package version: 2.3
Package release: 1ubuntu0
Package architecture: i386
Package type: deb
Installed size: 233 B
Download size: 40.21 KB
Official Mirror: archive.ubuntu.com
Powerline is a statusline plugin for vim, and provides statuslines and prompts for several other applications, including zsh, bash, tmux, IPython, Awesome and Qtile. This package contains the Powerline executables.

Alternatives

Replaces

  • python-powerline << 0~20140216-2

    Download

    Source package: powerline

    Install Howto

    1. Add the following line to /etc/apt/sources.list:
      deb http://archive.ubuntu.com/ubuntu/ xenial-proposed universe
    2. Update the package index:
      # sudo apt-get update
    3. Install powerline deb package:
      # sudo apt-get install powerline

    Changelog

    2017-11-09 - Tj <ubuntu@iam.tj> powerline (2.3-1ubuntu0) xenial; urgency=low * debian/control Recommends: python3-powerline to ensure vim-nox support (LP: #1575802)

    2015-10-26 - Jerome Charaoui <jerome@riseup.net> powerline (2.3-1) unstable; urgency=medium * Imported Upstream version 2.3 (Closes: #802905)

    2015-10-18 - Jerome Charaoui <jerome@riseup.net> powerline (2.2-2) unstable; urgency=medium * Build python3-powerline binary package (Closes: #798930) * Compile /usr/bin/powerline with extra hardening flags * Make sphinx-generated manpages reproducible

    2015-08-04 - Jerome Charaoui <jerome@riseup.net> powerline (2.2-1) unstable; urgency=medium * Imported Upstream version 2.2 * Distribute NEWS file only in powerline binary package (Closes: #792359)

    2015-05-23 - Jerome Charaoui <jerome@riseup.net> powerline (2.1.4-1) unstable; urgency=medium * Import Upstream version 2.1. (Closes: #778250)

    2015-03-08 - Jerome Charaoui <jerome@riseup.net> powerline (2.1-1) unstable; urgency=medium * Import Upstream version 2.1 (Closes: #776725)

    2014-10-25 - Jerome Charaoui <jerome@riseup.net> powerline (1.2-2) unstable; urgency=medium * Fix incomplete tmux configuration by adjusting hardcoded bindings directory (Closes: #766637)

    2014-10-18 - Jerome Charaoui <jerome@riseup.net> powerline (1.2-1) unstable; urgency=medium * Import Upstream version 1.2 * Package is now architecture specific due to C component * Disable build tests for this release * Watch file modified to track upstream releases

    2014-09-18 - Jerome Charaoui <jerome@riseup.net> powerline (0~20140216-2) unstable; urgency=low * Adjust package sections and descriptions (Closes: #753663, #753665) * Import upstream commit, fixes powerline with psutil 2.x (Closes: #758162) * Move bindings and config_files in powerline package (Closes: #758551) * Add README.Debian with installation and configuration instructions (Closes: #761474)

    2014-02-20 - Jerome Charaoui <jerome@riseup.net> powerline (0~20140216-1) unstable; urgency=low * Initial release. (Closes: #739666)

    Advertisement
    Advertisement